#!/bin/sh

ARCHITECTURE=$1
DBMS=$2
COMMAND=$3

echo "ARCHITECTURE = "$ARCHITECTURE
echo "DBMS = "$DBMS
echo "COMMAND = "$COMMAND

if test $# -lt 3
then
    echo "You must provide three parameters: ARCHITECTURE DBMS COMMAND"
    echo "ARCHITECTURE : 32 | 64"
    echo "DBMS         : mysql | h2"
    echo "COMMAND      : roses.Main | org.h2.tools.Console"
    exit
fi

shift; shift;

echo $*

java -cp jars/roses_linux${ARCHITECTURE}_${DBMS}.jar ${COMMAND} $*
